## vhdd 0.1+1316185440

=== debian/changelog ===
vhdd (0.1+1316185440-1) lucid; urgency=low

  * New autobuild version

 -- Jon Ludlam <jenkins@snoosnoo2.uk.xensource.com>  Tue, 20 Sep 2011 00:31:14 +0100

vhdd (0.1-1) unstable; urgency=low

  * Initial release (Closes: #nnnn)  <nnnn is the bug number of your ITP>

 -- Jon Ludlam <jonathan.ludlam@eu.citrix.com>  Mon, 11 Jul 2011 17:13:38 +0100

## vhdd 0.1+1317761450

=== Makefile ===

.PHONY: default vhdd clean install

default : vhdd

vhdd : 
	make -C smapi
	make -C vhd
	make -C vcli

install : vhdd
	make -C vhd install
	make -C vcli install
	make -C scripts install

clean : 
	make -C smapi clean
	make -C vhd clean
	make -C vcli clean

=== scripts/Makefile ===
.phony: install

install :
	mkdir -p $(DESTDIR)/etc/rc.d/init.d
	mkdir -p $(DESTDIR)/opt/xensource/libexec
	cp init.d-vhdd $(DESTDIR)/etc/rc.d/init.d/vhdd
	cp init.d-vhdd-clean $(DESTDIR)/etc/rc.d/init.d/vhdd-clean
	cp rolling-upgrade-finished.sh $(DESTDIR)/opt/xensource/libexec
	chmod 755 $(DESTDIR)/opt/xensource/libexec/rolling-upgrade-finished.sh
	chmod 755 $(DESTDIR)/etc/rc.d/init.d/*
	mkdir -p $(DESTDIR)/etc/xensource/bugtool/xenserver-logs
	cp xenserver-logs-vhdd.xml $(DESTDIR)/etc/xensource/bugtool/xenserver-logs/vhdd.xml

=== smapi/Makefile ===
VERSION = 0.1

DESTDIR ?= /
VERSION := $(shell hg parents --template "{rev}" 2>/dev/null || echo 0.0)

OCAMLABI := $(shell ocamlc -version)
OCAMLLIBDIR := $(shell ocamlc -where)
OCAMLDESTDIR ?= $(OCAMLLIBDIR)

LIBOBJS = smapi_types smapi process_xmlrpc smapi_client
INTF = $(foreach obj, $(LIBOBJS),$(obj).cmi)
CMXS = $(foreach obj, $(LIBOBJS),$(obj).cmx)
OCAMLC = ocamlfind ocamlc -g 
OCAMLOPT = ocamlfind ocamlopt -g 
COMPFLAG = -package xapi-client,stdext,rpc-light.syntax,rpc-light.json -syntax camlp4o -dtypes

default : smapi.cmxa

smapi.cmxa: $(CMXS)
	$(OCAMLOPT) -a -g -o $@ $(CMXS)

.SUFFIXES: .ml .mli .cmo .cmi .cmx

.ml.cmo:
	$(OCAMLC) $(COMPFLAG) -c $<

.mli.cmi:
	$(OCAMLOPT) $(COMPFLAG) -c $<

.ml.cmx:
	$(OCAMLOPT) $(COMPFLAG) -c $<

.PHONY: clean
clean : 
	rm -f *.cmo *.cmi *.cmx *.o *~ *.annot smapi.cmxa smapi.a

=== test/Makefile ===
VERSION = 0.1

DESTDIR ?= /
VERSION := $(shell hg parents --template "{rev}" 2>/dev/null || echo 0.0)

OCAMLABI := $(shell ocamlc -version)
OCAMLLIBDIR := $(shell ocamlc -where)
OCAMLDESTDIR ?= $(OCAMLLIBDIR)

OCAMLC = ocamlfind ocamlc -g
OCAMLOPT = ocamlfind ocamlopt 
OCAMLPACKS = str,xapi-client,xmlm,xml-light2,stdext,uuid,camldm,lvm,rpc-light.syntax,rpc-light.json,netdev,threads,vhd,tapctl
COMPFLAG = -thread -package $(OCAMLPACKS) -syntax camlp4o -I ../smapi -I ../vhd -dtypes -g
LINKFLAG = -linkpkg ../smapi/smapi.cmxa
SOURCES = \
	ocamltest \
	circ \
	olvm \
	int_types \
	nmutex \
	lockgen \
	host \
	fsutils \
	lvmabs_types \
	xapi_inventory \
	global \
	vhdutil \
	tapdisk \
	vhd_records \
	vhd_types \
	tracelog \
	lvmabs \
	scan \
	errors \
	drivers \
	rwlock \
	vhdrpc \
	extentlist \
	int_rpc \
	debug_utils \
	nfs \
	iscsilib \
	transport \
	attachments \
	int_client \
	dot \
	html \
	slave_sr_attachments \
	locking \
	xapi \
	int_client_utils \
	tapdisk_listen \
	id_map \
	master_utils \
	coalesce \
	master_probe \
	clone \
	leaf_coalesce \
	vhdSlave \
	vhdMaster \
	fd_pass_receiver \
	vhdsm \
	int_server \
	fileserver 

OBJS := $(foreach obj, $(SOURCES),../vhd/$(obj).cmx)

get_hidden_lvs_test: $(OBJS) get_hidden_lvs_test.cmx
	$(OCAMLOPT) $(COMPFLAG) $(LINKFLAG) -o $@ $(OBJS) get_hidden_lvs_test.cmx

test : $(OBJS) test.cmx util.cmx simpletest.cmx coalescetest.cmx paralleltest.cmx lockingtest.cmx 
	$(OCAMLOPT) $(COMPFLAG) $(LINKFLAG) -o $@ $(OBJS) util.cmx simpletest.cmx coalescetest.cmx paralleltest.cmx lockingtest.cmx test.cmx

ftests: $(OBJS) lockingtest.cmx ftests.cmx 
	$(OCAMLOPT) $(COMPFLAG) $(LINKFLAG) -o $@ $(OBJS) lockingtest.cmx ftests.cmx

#install : vhdd
#	mkdir -p $(DESTDIR)/opt/xensource/libexec
#	cp vhdd $(DESTDIR)/opt/xensource/libexec

.SUFFIXES: .ml .mli .cmo .cmi .cmx

.ml.cmo:
	$(OCAMLC) $(COMPFLAG) -c $<

.mli.cmi:
	$(OCAMLOPT) $(COMPFLAG) -c $<

.ml.cmx:
	$(OCAMLOPT) $(COMPFLAG) -c $<

.PHONY: clean

clean:
	rm -f *.cmi *.cmx *.cmo *.a *.cma *.cmxa *.run *.opt *.annot *.o
	rm -f get_hidden_lvs_test

deps : 
	ocamlfind ocamldep -package str,xapi-client,xmlm,xml-light2,stdext,uuid,camldm,lvm,rpc-light.syntax,rpc-light.json,netdev,threads,vhd -syntax camlp4o -I ../smapi -I ../vhd  *.ml *.mli > deps

include deps

=== vhd/Makefile ===
VERSION = 0.1

DESTDIR ?= /
VERSION := $(shell hg parents --template "{rev}" 2>/dev/null || echo 0.0)

OCAMLABI := $(shell ocamlc -version)
OCAMLLIBDIR := $(shell ocamlc -where)
OCAMLDESTDIR ?= $(OCAMLLIBDIR)

OCAMLC = ocamlfind ocamlc -g
OCAMLOPT = ocamlfind ocamlopt -g
OCAMLPACKS = str,xapi-client,xmlm,xml-light2,stdext,uuid,camldm,lvm,rpc-light.syntax,rpc-light.json,netdev,threads,vhd,tapctl,http-svr
COMPFLAG = -thread -package $(OCAMLPACKS) -syntax camlp4o -I ../smapi -dtypes
LINKFLAG = -linkpkg ../smapi/smapi.cmxa
SOURCES = \
	ocamltest \
	circ \
	olvm \
	int_types \
	nmutex \
	lockgen \
	host \
	fsutils \
	lvmabs_types \
	xapi_inventory \
	global \
	vhdutil \
	tapdisk \
	vhd_records \
	vhd_types \
	tracelog \
	lvmabs \
	scan \
	errors \
	drivers \
	rwlock \
	vhdrpc \
	extentlist \
	int_rpc \
	nfs \
	iscsilib \
	transport \
	attachments \
	int_client \
	dot \
	html \
	slave_sr_attachments \
	locking \
	xapi \
	int_client_utils \
	tapdisk_listen \
	id_map \
	master_utils \
	coalesce \
	master_probe \
	clone \
	leaf_coalesce \
	vhdSlave \
	vhdMaster \
	fd_pass_receiver \
	vhdsm \
	debug_utils \
	int_server \
	fileserver \
	vhdd 

OBJS = $(foreach obj, $(SOURCES),$(obj).cmx)
MLS = $(foreach obj, $(SOURCES),$(obj).ml)

vhdd : $(OBJS)
	$(OCAMLOPT) $(COMPFLAG) $(LINKFLAG) -o $@ $(OBJS)

install : vhdd
	mkdir -p $(DESTDIR)/opt/xensource/libexec
	cp vhdd $(DESTDIR)/opt/xensource/libexec

.SUFFIXES: .ml .mli .cmo .cmi .cmx

.ml.cmo:
	$(OCAMLC) $(COMPFLAG) -c $<

.mli.cmi:
	$(OCAMLOPT) $(COMPFLAG) -c $<

.ml.cmx:
	$(OCAMLOPT) $(COMPFLAG) -c $<

.PHONY: clean 

clean:
	rm -f *.cmi *.cmx *.cmo *.a *.cma *.cmxa *.run *.opt *.annot *.o

deps:
	ocamlfind ocamldep -package str,xapi-client,xmlm,xml-light2,stdext,uuid,camldm,lvm,rpc-light.syntax,rpc-light.json,netdev,threads,vhd -syntax camlp4o -I ../smapi  *.ml *.mli > deps

include deps

=== debian/changelog ===
vhdd (0.1+1317761450-1) unstable; urgency=low

  * New autobuild version

 -- Jon Ludlam <jenkins@debian32.uk.xensource.com>  Tue, 18 Oct 2011 16:35:03 +0100

=== debian/control ===
Source: vhdd
Section: unknown
Priority: extra
Maintainer: Jon Ludlam <jonathan.ludlam@eu.citrix.com>
Build-Depends: debhelper (>= 8.0.0), ocaml-nox, camlp4, camlp4-extra, xen-api-libs, ocaml-xapi-client, ocaml-findlib, libxmlm-ocaml-dev, libxen-dev , libtype-conv-camlp4-dev, uuid-dev, libdevmapper-dev, libxen-ocaml, libxen-ocaml-dev
Standards-Version: 3.9.2
Homepage: <insert the upstream URL, if relevant>
#Vcs-Git: git://git.debian.org/collab-maint/vhdd.git
#Vcs-Browser: http://git.debian.org/?p=collab-maint/vhdd.git;a=summary

Package: vhdd
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: <insert up to 60 chars description>
 <insert long description, indented with spaces>

Package: vhdd-doc
Architecture: all
Description: documentation for vhdd
 <insert long description, indented with spaces>

## vhdd 0.1+1319505631

=== mk/Makefile ===
ifdef B_BASE
include $(B_BASE)/common.mk
include $(B_BASE)/rpmbuild.mk
REPO = $(call hg_loc,vhdd)
else
REPO ?= $(CURDIR)
%/.dirstamp:
	@mkdir -p $*
	@touch $@
endif

RPM_BINDIR=$(RPM_RPMSDIR)/$(DOMAIN0_ARCH_OPTIMIZED)

.PHONY: build
build: srpm $(MY_SOURCES)/MANIFEST
	$(RPMBUILD) --target $(DOMAIN0_ARCH_OPTIMIZED) -bb $(RPM_SPECSDIR)/vhdd.spec
	mkdir -p $(MY_MAIN_PACKAGES)
	cp $(RPM_RPMSDIR)/$(DOMAIN0_ARCH_OPTIMIZED)/vhdd-*.rpm $(MY_MAIN_PACKAGES)

.PHONY: srpm
srpm:
	mkdir -p $(RPM_SRPMSDIR) $(RPM_SPECSDIR) $(RPM_SOURCESDIR) $(RPM_RPMSDIR)
	hg archive -p vhdd-0 -t tbz2 $(RPM_SOURCESDIR)/vhdd-0.tar.bz2
	install -o root -g root ../vhdd.spec $(RPM_SPECSDIR)
	$(RPMBUILD) --target $(DOMAIN0_ARCH_OPTIMIZED) -bs $(RPM_SPECSDIR)/vhdd.spec

$(MY_SOURCES)/MANIFEST: $(MY_SOURCES_DIRSTAMP)
	rm -f $@
	@for srpm in "$(/bin/ls -1 ${MY_OUTPUT_DIR}/SRPMS)"; do \
		path=$(MY_OUTPUT_DIR)/SRPMS/${srpm}; \
		echo "$(${RPM} --qf "%{name}" -qp ${path}) $(${RPM} --qf "%{License}" -qp ${path}) ${path}" >>$@; \
	done

.PHONY: clean
	rm -f *.rpm

=== vcli/Makefile ===
OCAMLC = ocamlfind ocamlc -g
OCAMLOPT = ocamlfind ocamlopt -g
OCAMLPACKS = str,xapi-client,xmlm,xml-light2,stdext,uuid,camldm,lvm,rpc-light.syntax,rpc-light.json,netdev,threads,vhd,tapctl
COMPFLAG = -thread -package $(OCAMLPACKS) -syntax camlp4o -I ../smapi -dtypes
LINKFLAG = -linkpkg ../smapi/smapi.cmxa
SOURCES = \
	ocamltest \
	circ \
	olvm \
	int_types \
	nmutex \
	lockgen \
	host \
	fsutils \
	lvmabs_types \
	xapi_inventory \
	global \
	vhdutil \
	tapdisk \
	vhd_records \
	vhd_types \
	tracelog \
	lvmabs \
	scan \
	errors \
	drivers \
	rwlock \
	vhdrpc \
	extentlist \
	int_rpc \
	nfs \
	iscsilib \
	transport \
	attachments \
	int_client \
	dot \
	html \
	slave_sr_attachments \
	locking \
	xapi \
	int_client_utils \
	tapdisk_listen \
	id_map \
	master_utils \
	coalesce \
	master_probe \
	clone \
	leaf_coalesce \
	vhdSlave \
	vhdMaster \
	fd_pass_receiver \
	vhdsm \
	debug_utils \
	int_server \
	fileserver 

OBJS = $(foreach obj, $(SOURCES),../vhd/$(obj).cmx)
MLS = $(foreach obj, $(SOURCES),../vhd/$(obj).ml)

default: vcli attach_from_config_cli

vcli : vcli.ml $(MLS)
	ocamlfind ocamlopt -package $(OCAMLPACKS) \
	  	-syntax camlp4o -dtypes -thread -linkpkg -o vcli -I ../smapi ../smapi/smapi.cmxa -I ../vhd \
	 	$(OBJS) vcli.ml

attach_from_config_cli : attach_from_config_cli.ml
	ocamlfind ocamlopt -package stdext,xapi-client,threads,rpc-light.syntax,rpc-light,camldm \
	-dtypes -thread -linkpkg -o attach_from_config_cli -I ../smapi ../smapi/smapi.cmxa \
	attach_from_config_cli.ml 

.PHONY: clean install

clean : 
	rm -f *.cmx *.cmi *.cmo *.a *.o vcli *~ *.annot

install : vcli
	mkdir -p $(DESTDIR)/opt/xensource/debug
	cp vcli $(DESTDIR)/opt/xensource/debug
	mkdir -p $(DESTDIR)/var/xapi/sm/
	cp attach_from_config_cli $(DESTDIR)/opt/xensource/libexec/

	cd $(DESTDIR)/var/xapi/sm/ &&	ln -s ../../../opt/xensource/libexec/attach_from_config_cli ./extSR
	cd $(DESTDIR)/var/xapi/sm/ &&	ln -s ../../../opt/xensource/libexec/attach_from_config_cli ./nfsSR
	cd $(DESTDIR)/var/xapi/sm/ &&	ln -s ../../../opt/xensource/libexec/attach_from_config_cli ./lvmoiscsiSR
	cd $(DESTDIR)/var/xapi/sm/ &&	ln -s ../../../opt/xensource/libexec/attach_from_config_cli ./lvmohbaSR
	cd $(DESTDIR)/var/xapi/sm/ &&	ln -s ../../../opt/xensource/libexec/attach_from_config_cli ./lvmSR

=== debian/changelog ===
vhdd (0.1+1319505631-1) unstable; urgency=low

  * New autobuild version

 --  <jenkins@myvm.uk.xensource.com>  Tue, 25 Oct 2011 02:38:11 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: unknown
 Priority: extra
 Maintainer: Jon Ludlam <jonathan.ludlam@eu.citrix.com>
-Build-Depends: debhelper (>= 8.0.0), ocaml-nox, camlp4, camlp4-extra, xen-api-libs, ocaml-xapi-client, ocaml-findlib, libxmlm-ocaml-dev, libxen-dev , libtype-conv-camlp4-dev, uuid-dev, libdevmapper-dev, libxen-ocaml, libxen-ocaml-dev
+Build-Depends: debhelper (>= 8.0.0), ocaml-nox, camlp4, camlp4-extra, xen-api-libs, ocaml-xapi-client, ocaml-findlib, libxmlm-ocaml-dev, libxen-dev , libtype-conv-camlp4-dev, uuid-dev, libdevmapper-dev, libxen-ocaml-4.1, libxen-ocaml-dev
 Standards-Version: 3.9.2
 Homepage: <insert the upstream URL, if relevant>
 #Vcs-Git: git://git.debian.org/collab-maint/vhdd.git
